import { r as registerInstance, h } from './index-c04b9ed5.js';

const sparkleVideoPlayerCss = "";

const SparkleVideoPlayer = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.type = 'video/mp4';
    this.width = 400;
    this.controls = true;
  }
  render() {
    return (h("video", { width: this.width, controls: this.controls, preload: "metadata" }, h("source", { src: this.src, type: this.type })));
  }
};
SparkleVideoPlayer.style = sparkleVideoPlayerCss;

export { SparkleVideoPlayer as sparkle_video_player };
